package com.yeejoin.amos.boot.module.tzs.flc.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.tzs.flc.api.dto.*;
import com.yeejoin.amos.boot.module.tzs.flc.api.entity.CylinderInfo;

import java.util.List;

/**
 * 气瓶基本信息 Mapper 接口
 *
 * @author duanwei
 * @date 2022-08-11
 */
public interface TzCylinderMapper extends BaseMapper<CylinderInfo> {

    IPage<TzCylinderInfoDto> getTzCylinderInfoList(Page<TzCylinderInfoDto> page, TzCylinderInfoDto tzCylinderInfoDto, String superviseOrgCode);

    TzCylinderInfoDto getTzCylinderInfoDto(String sequenceNbr);

    String getSequencCode(String sequenceNbr);

    TzCylinderProduceDto getTzCylinderProduceDto(String SequenceCode);

    TzCylinderTagsDto getTzCylinderTagsDto(String sequenceCode);

    List<TzCylinderInspectionDto> getTzCylinderInspectionDto(String sequenceCode);

    List<TzCylinderFillingDto> getTzCylinderFillingDto(String sequenceCode);

    TzCylinderBeforeCheckDto getTzCylinderBeforeCheck(String fillingBeforeId);

    List<TzCylinderCheckDto> getTzCylinderCheckItem();

    TzCylinderAfterCheckDto getTzCylinderAfterCheck(String fillingCheckId);

    List<TzCylinderCheckDto> getTzCylinderAfterCheckItem();



}
